List transfers | Moov Documentation
List transfers
List all the transfers associated with a particular Moov account.
Read our transfers overview guide to learn more.
When you run this request, you retrieve 200 transfers at a time. You can advance past a results set of 200 transfers by using the skip parameter (for example, if you set skip= 10, you will see a results set of 200 transfers after the first 10). If you are searching a high volume of transfers, the request will likely process very slowly. To achieve faster performance, restrict the data as much as you can by using the StartDateTime and EndDateTime parameters for a limited period of time. You can run multiple requests in smaller time window increments until you've retrieved all the transfers you need.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.read scope.
GET
/accounts/{accountID}/transfers
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/transfers" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
mc.ListTransfers(ctx, accountID, moov.WithTransferStatus("completed"))
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.transfers.list({
skip: 60,
count: 20,
accountID: "0579c895-4d2b-4024-8092-f71b80ab5d00",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\